---
search:
  tags:
    - Bots
    - POST
seo:
  description: >-
    Get one bot with its set stock and history. Reference for the POST
    /v1/bot.get endpoint in the SteamSets API.
sidebar:
  label: Get one bot with its set stock and history
  badge: POST
title: Get one bot with its set stock and history
type: openapi-operation
---
`POST /v1/bot.get`

**Request body** (`application/json`, required)

- `historyDays` (integer<int64>) — Days of history to return. Up to 14 days come in hourly points, longer ranges in daily points.
- `id` (string, required) — The bot's SteamID64 or its public id (bot\_…).

Request body example:

```json
{
  "historyDays": 30,
  "id": "76561199756787903"
}
```

**Responses**

- `200` — OK
- `404` — Not Found
- `422` — Unprocessable Entity
- `500` — Internal Server Error

Response example, 200:

```json
{
  "bot": {
    "account": {
      "animatedAvatar": "string",
      "apps": 123456,
      "avatar": "f1a1d2c3d0c9d1e1f2f3f4f5f6f7f8f9",
      "avatarFrame": "string",
      "awardsGiven": 123456,
      "awardsReceived": 123456,
      "background": "string",
      "badges": 123456,
      "bans": 0,
      "city": {
        "name": "Bad Krozingen"
      },
      "country": {
        "code": "DE",
        "name": "Germany"
      },
      "createdAt": "2023-01-01T00:00:00Z",
      "donated": 123456,
      "economyBan": "steam",
      "foilBadges": 123456,
      "friends": 123456,
      "gameBans": 0,
      "level": 123456,
      "miniBackground": "string",
      "name": "steamsets",
      "nameEffect": "rainbow",
      "normalBadges": 123456,
      "playtime": 123456,
      "pointsGiven": 123456,
      "pointsReceived": 123456,
      "privacy": "public",
      "region": {
        "name": "Europe"
      },
      "roles": [
        {
          "extras": {
            "property1": null,
            "property2": null
          },
          "rating": 0,
          "role": "user"
        }
      ],
      "state": {
        "name": "Baden-Wurttemberg"
      },
      "steamId": "76561198842603734",
      "steamSetsScore": 0,
      "steamSetsVanity": "steamsets",
      "steamVanity": "steamsets",
      "supporter": {
        "active": true,
        "months": 3
      },
      "themeColor": "#FF5733",
      "vacBans": 0,
      "xp": 123456
    },
    "avatarUrl": "string",
    "brand": {
      "id": "bbr_5n7dZq1rFJx3WmPa",
      "logoUrl": "string",
      "name": "string",
      "sponsored": true,
      "websiteUrl": "string"
    },
    "crypto": {
      "prices": [
        {
          "buy": "string",
          "coin": "btc",
          "sell": "0.0000038"
        }
      ]
    },
    "games": {
      "prices": {
        "cs2": {
          "buy": 0,
          "sell": 0
        },
        "gems": {
          "buy": 0,
          "sell": 0
        },
        "hydra": {
          "buy": 0,
          "sell": 0
        },
        "tf2": {
          "buy": 0,
          "sell": 0
        },
        "tod": {
          "buy": 0,
          "sell": 0
        }
      },
      "stock": {
        "copies": 0,
        "games": 0
      }
    },
    "gamesForYou": 0,
    "gems": {
      "prices": {
        "cs2": {
          "buy": 0,
          "sell": 0
        },
        "hydra": {
          "buy": 0,
          "sell": 0
        },
        "tf2": {
          "buy": 0,
          "sell": 0
        },
        "tod": {
          "buy": 0,
          "sell": 0
        }
      },
      "stock": 0
    },
    "id": "bot_3cVFAKxh8Q2ZqkTq",
    "keys": {
      "cs2": 0,
      "hydra": 0,
      "tf2": 0,
      "tod": 0
    },
    "listing": {
      "createdAt": "2019-08-24T14:15:22Z",
      "listingFeePaid": true,
      "status": "pending"
    },
    "name": "lvlupbot.com - legendary",
    "owner": {
      "animatedAvatar": "string",
      "apps": 123456,
      "avatar": "f1a1d2c3d0c9d1e1f2f3f4f5f6f7f8f9",
      "avatarFrame": "string",
      "awardsGiven": 123456,
      "awardsReceived": 123456,
      "background": "string",
      "badges": 123456,
      "bans": 0,
      "city": {
        "name": "Bad Krozingen"
      },
      "country": {
        "code": "DE",
        "name": "Germany"
      },
      "createdAt": "2023-01-01T00:00:00Z",
      "donated": 123456,
      "economyBan": "steam",
      "foilBadges": 123456,
      "friends": 123456,
      "gameBans": 0,
      "level": 123456,
      "miniBackground": "string",
      "name": "steamsets",
      "nameEffect": "rainbow",
      "normalBadges": 123456,
      "playtime": 123456,
      "pointsGiven": 123456,
      "pointsReceived": 123456,
      "privacy": "public",
      "region": {
        "name": "Europe"
      },
      "roles": [
        {
          "extras": {
            "property1": null,
            "property2": null
          },
          "rating": 0,
          "role": "user"
        }
      ],
      "state": {
        "name": "Baden-Wurttemberg"
      },
      "steamId": "76561198842603734",
      "steamSetsScore": 0,
      "steamSetsVanity": "steamsets",
      "steamVanity": "steamsets",
      "supporter": {
        "active": true,
        "months": 3
      },
      "themeColor": "#FF5733",
      "vacBans": 0,
      "xp": 123456
    },
    "sets": {
      "limits": {
        "maxPerApp": 0
      },
      "prices": {
        "cs2": {
          "buy": 0,
          "sell": 0
        },
        "gems": {
          "buy": 0,
          "sell": 0
        },
        "hydra": {
          "buy": 0,
          "sell": 0
        },
        "tf2": {
          "buy": 0,
          "sell": 0
        },
        "tod": {
          "buy": 0,
          "sell": 0
        }
      },
      "stock": {
        "apps": 0,
        "foil": 0,
        "maxLevel": 0,
        "normal": 0
      }
    },
    "setsForYou": 0,
    "source": "push",
    "status": {
      "online": true,
      "stale": true,
      "updatedAt": "2019-08-24T14:15:22Z"
    },
    "type": "levelup"
  },
  "games": [
    {
      "appId": 0,
      "copies": 0,
      "name": "string",
      "owned": true
    }
  ],
  "history": {
    "bucket": "hour",
    "points": [
      {
        "at": "2019-08-24T14:15:22Z",
        "online": true,
        "prices": {
          "gems": {
            "cs2": {
              "buy": 0,
              "sell": 0
            },
            "hydra": {
              "buy": 0,
              "sell": 0
            },
            "tf2": {
              "buy": 0,
              "sell": 0
            },
            "tod": {
              "buy": 0,
              "sell": 0
            }
          },
          "sets": {
            "cs2": {
              "buy": 0,
              "sell": 0
            },
            "gems": {
              "buy": 0,
              "sell": 0
            },
            "hydra": {
              "buy": 0,
              "sell": 0
            },
            "tf2": {
              "buy": 0,
              "sell": 0
            },
            "tod": {
              "buy": 0,
              "sell": 0
            }
          }
        },
        "stock": {
          "apps": 0,
          "foil": 0,
          "maxLevel": 0,
          "normal": 0
        }
      }
    ]
  },
  "sets": [
    {
      "appId": 0,
      "foil": 0,
      "name": "string",
      "needed": 0,
      "normal": 0
    }
  ]
}
```
